trackerd crashed with SIGSEGV in strstr()

Bug #138399 reported by Martin Pitt on 2007-09-09
70
Affects Status Importance Assigned to Milestone
tracker (Ubuntu)
High
Martin Pitt

Bug Description

Binary package hint: tracker

Just started my desktop session after upgrade.

ProblemType: Crash
Architecture: amd64
Date: Sun Sep 9 12:34:44 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/trackerd
NonfreeKernelModules: nvidia
Package: tracker 0.6.2-0ubuntu3
PackageArchitecture: amd64
ProcCmdline: trackerd
ProcCwd: /home/martin
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: tracker
StacktraceTop:
 strstr () from /lib/libc.so.6
 g_strsplit () from /usr/lib/libglib-2.0.so.0
 ?? ()
 ?? ()
 ?? () from /usr/lib/libglib-2.0.so.0
Title: trackerd crashed with SIGSEGV in strstr()
Uname: Linux donald 2.6.22-11-generic #1 SMP Fri Sep 7 04:31:16 GMT 2007 x86_64 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video

Related branches

Martin Pitt (pitti) wrote :

see http://bugzilla.gnome.org/show_bug.cgi?id=474126

bug confined to amd64 (afaik) and goes away if env var XDG_DATA_DIRS is unset

I cant say if this is a tracker issue or a bug in recent glibc/libc for amd64 (strstr)

(note same code path has been in place since 0.6.0)

bug fix is here : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=440997

patch has already been committed to tracker svn

Changed in tracker:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Thanks, Jamie! I was just going to repair the retracers to get a sensible backtrace of this, but so much the better. :-)

I can confirm that unsetting XDG_DATA_DIRS makes it work again ..

Changed in tracker:
importance: Undecided → High
Soren Hansen (soren) wrote :

What is holding that fix back?

Martin Pitt (pitti) on 2007-09-18
Changed in tracker:
assignee: nobody → pitti
Martin Pitt (pitti) wrote :

tracker (0.6.2-2ubuntu1) gutsy; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Drop libunac1-dev build dependency, we do not support it in main.
    - Build for our newer deskbar-applet:
      + Call configure with --enable-deskbar-applet="auto" instead of
      "handler".
      + Build-depend on deskbar-applet.
      + Build-depend on python-gtk2-dev to circumvent the bug that
        deskbar-applet does not have a -dev package which depends on it.
      + debian/libdeskbar-tracker.install: Fix path for installed module.
  * New Debian version fixes tracker crash on amd64. (LP: #138399)

tracker (0.6.2-2) unstable; urgency=low

  * debian/patches/02-getenv.patch
    - Include stdlib.h in tracker-apps.c for the getenv function prototype.
      Patch by dann frazier, thanks. Closes: #440997
  * debian/patches/03-system_ioprio.patch
    - Use the ioprio syscalls defined by linux-libc-dev. Fixes a FTBFS on hppa
      and m68k.

tracker (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-function_prototypes.patch
    - Removed, merged upstream.
  * debian/patches/01-version_fix.patch
    - Fix the version number shown at trackerd start.
  * debian/control
    - Drop Build-Depends on libqdbm-dev. Tracker now uses sqlite3 for all of
      its databases.
    - Bump Build-Depends on libsqlite3-dev to >= 3.4 as the new sqlite based
      indexer requires the incremental blob I/0 feature of sqlite 3.4.
  * debian/rules
    - Add --enable-deskbar-applet=handler to DEB_CONFIGURE_EXTRA_FLAGS.
      deskbar-applet in unstable still uses the "old-style" handler interface.
    - Drop --enable-external-sqlite and --enable-external-qdbm from
      DEB_CONFIGURE_EXTRA_FLAGS. These configure options are now obsolete.

 -- Martin Pitt <email address hidden> Tue, 18 Sep 2007 10:52:13 +0200

Changed in tracker:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.